Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts
Interface ResolvedConfiguration

    public interface ResolvedConfiguration

Method Summary
`java.util.Set<java.io.File>` | `getFiles(Spec<Dependency> dependencySpec)` Returns the files for the specified subset of configuration dependencies.
`java.util.Set<ResolvedDependency>` | `getFirstLevelModuleDependencies()` Returns ResolvedDependency instances for every configuration dependency.
`java.util.Set<ResolvedArtifact>` | `getResolvedArtifacts()`
`boolean` | `hasError()` Returns whether all dependencies were successfully retrieved or not.
`void` | `rethrowFailure()` A resolve of a configuration that is not successful does not automatically throws an exception.

Method Detail

### hasError

    boolean hasError()

  Returns whether all dependencies were successfully retrieved or not.

### rethrowFailure

    void rethrowFailure()
                        throws ResolveException

  A resolve of a configuration that is not successful does not automatically throws an exception. Such a exception is only thrown if the result of a resolve is accessed. You can force the throwing of such an exception by calling this method.

  Throws:
    `ResolveException`

### getFiles

    java.util.Set<java.io.File> getFiles(Spec<Dependency> dependencySpec)
                                         throws ResolveException

  Returns the files for the specified subset of configuration dependencies.

  Parameters:
    `dependencySpec` - The filter for the configuration dependencies.
  Returns:
    The artifact files of the specified dependencies.
  Throws:
    `ResolveException` - in case the resolve was not successful.

### getFirstLevelModuleDependencies

    java.util.Set<ResolvedDependency> getFirstLevelModuleDependencies()
                                                                      throws ResolveException

  Returns ResolvedDependency instances for every configuration dependency. Via those instances you have access to all ResolvedDependency instances (i.e. also for the resolved transitive dependencies).

  Returns:
    A set with ResolvedDependency instances for every configuration dependency.
  Throws:
    `ResolveException` - in case the resolve was not successful.

### getResolvedArtifacts

    java.util.Set<ResolvedArtifact> getResolvedArtifacts()
                                                         throws ResolveException

  Throws:
    `ResolveException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD